Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.userdetails.jdbc
Class JdbcDaoImpl.UsersByUsernameMapping

    java.lang.Object
      org.springframework.jdbc.object.RdbmsOperation
          org.springframework.jdbc.object.SqlOperation
              org.springframework.jdbc.object.SqlQuery
                  org.springframework.jdbc.object.MappingSqlQueryWithParameters
                      org.springframework.jdbc.object.MappingSqlQuery
                          org.acegisecurity.userdetails.jdbc.JdbcDaoImpl.UsersByUsernameMapping

All Implemented Interfaces:
  InitializingBean

Enclosing class:
  JdbcDaoImpl

    protected class JdbcDaoImpl.UsersByUsernameMapping

extends MappingSqlQuery

Query object to look up a user.

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.jdbc.object.MappingSqlQueryWithParameters
`MappingSqlQueryWithParameters.ResultReaderImpl`

Field Summary

Fields inherited from class org.springframework.jdbc.object.RdbmsOperation
`logger`

Constructor Summary
`protected` | `JdbcDaoImpl.UsersByUsernameMapping(DataSource ds)`

Method Summary
`protected Object` | `mapRow(ResultSet rs, int rownum)`

Methods inherited from class org.springframework.jdbc.object.MappingSqlQuery
`mapRow`

Methods inherited from class org.springframework.jdbc.object.MappingSqlQueryWithParameters
`newResultReader`

Methods inherited from class org.springframework.jdbc.object.SqlQuery
`execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, findObject, findObject, findObject, findObject, findObject, findObject, findObject, findObject, findObject, findObject, getRowsExpected, setRowsExpected`

Methods inherited from class org.springframework.jdbc.object.SqlOperation
`compileInternal, newPreparedStatementCreator, newPreparedStatementSetter, onCompileInternal`

Methods inherited from class org.springframework.jdbc.object.RdbmsOperation
`afterPropertiesSet, compile, declareParameter, getDeclaredParameters, getGeneratedKeysColumnNames, getJdbcTemplate, getResultSetType, getSql, isCompiled, isReturnGeneratedKeys, isUpdatableResults, setDataSource, setFetchSize, setGeneratedKeysColumnNames, setJdbcTemplate, setMaxRows, setResultSetType, setReturnGeneratedKeys, setSql, setTypes, setUpdatableResults, supportsLobParameters, validateParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcDaoImpl.UsersByUsernameMapping

    protected JdbcDaoImpl.UsersByUsernameMapping(DataSource ds)

Method Detail

### mapRow

    protected Object mapRow(ResultSet rs,
                            int rownum)
                     throws SQLException

  Specified by:
    `mapRow` in class `MappingSqlQuery`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.